Bug 234212 - xfmedia is required when mounting audio cds
xfmedia is required when mounting audio cds
Product: Fedora
Classification: Fedora
Component: exo (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-03-27 14:19 EDT by Heiko Adams
Modified: 2009-11-04 07:16 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.3.104-1.fc11
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-10-10 14:12:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screenshot of the meesage (708.84 KB, image/png)
2007-03-27 14:19 EDT, Heiko Adams
no flags Details

  None (edit)
Description Heiko Adams 2007-03-27 14:19:04 EDT
Description of problem:
After installing the thunar-volman package an error message appears which tells
that audio cd can not be mounted. The message tells further that you should use
xfmedia to playback the audio tracks. This message is useless because Fedora
doesn't provide xfmedia packages.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install thunar-volman
2. Insert aduio cd
3. Try to mount the audio cd
Comment 1 Heiko Adams 2007-03-27 14:19:05 EDT
Created attachment 151058 [details]
Screenshot of the meesage
Comment 2 Christoph Wickert 2007-03-27 15:07:36 EDT
(In reply to comment #0)
> Description of problem:
> After installing the thunar-volman package an error message appears which tells
> that audio cd can not be mounted. The message tells further that you should use
> xfmedia to playback the audio tracks. This message is useless because Fedora
> doesn't provide xfmedia packages.

ATM I have no plans to change this. Although I have xfmedia packages here I
don't want to maintain it in Fedora. IMO it's still to broken and doesn't offer
much functionality. If someone else steps up he is welcome.

> Steps to Reproduce:
> 1. Install thunar-volman
> 2. Insert aduio cd
> 3. Try to mount the audio cd

Works fine for me: When I insert an audio CD totem starts up and plays fine, so
I don't see why people should actually try to mount the audio CD. You are simply
not expected to do that, I think the error message should be more precise.

Two things are not correct to me:
- Right click menu should not have mount/unmount options on CDs or DVDs.
- Clicking on the an CD icon or choosing "open" from the right click menu should
fire up the application you selected for audio/video discs in thunar-volman.

Both needs to be fixed in Thunar, this has nothing to do with volman. Volman
only does the autoplay/automount magic, which works fine. The error message
still appears after erasing thunar-volman, so it's from Thunar.
Comment 3 Kevin Fenzi 2007-03-27 15:24:28 EDT
The message you are seeing turns out to be in the exo package I think... 

              /* TRANSLATORS: User tried to mount an Audio CD that doesn't
contain a data track. */
              g_set_error (error, G_FILE_ERROR, G_FILE_ERROR_FAILED,
                           _("Audio CDs cannot be mounted, use "
                             "Xfmedia to play the audio tracks"));

I suppose we could patch the message to not mention Xfmedia, but it would be 
better if it was fixed upstream to have a more clear message. 
I also agree that Thunar shouldn't give you the option of mounting/unmounting
audio cds. 

Heiko: Would you be willing to file this upstream? Or would you like for me or
Christopher to do so?

Comment 4 Heiko Adams 2007-03-27 16:39:29 EDT
It would be nice if you could do this
Comment 5 Christoph Wickert 2007-03-27 18:06:17 EDT
Done: http://bugzilla.xfce.org/show_bug.cgi?id=3067
Comment 6 Bug Zapper 2008-04-04 02:42:00 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 15:25:41 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Christoph Wickert 2008-05-06 15:53:56 EDT
Reopening because this bug is still present in rawhide. We cannot fix this ATM,
but this bug was meant to be a tracker of the upstream development, so please
leave it open. Thanks.
Comment 9 Bug Zapper 2008-05-13 22:42:32 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 10 Bug Zapper 2009-06-09 18:31:27 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 11 Christoph Wickert 2009-06-09 19:06:51 EDT
Still applies to exo-0.3.100. Upgrading this bug to F-11 in order to prevent bug zappers from closing it. Also adding 'FutureFeature' keyword.

Dear bug zappers, please don't modify bugs that link to upstream where the bug is still open.
Comment 12 Christoph Wickert 2009-10-10 14:12:33 EDT
Fixed in exo-0.3.104. Audio-CDs no longer have an icon on the desktop or in thunar, so there is nothing to click on. If thunar-volman is used, the configured application correctly starts.
Comment 13 Fedora Update System 2009-11-04 07:16:32 EST
exo-0.3.104-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.